メインコンテンツへスキップ
POST
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
/
{subscriberState}
/
email-upsert
登録読者状態をコンタクトEメールで記録する
curl --request POST \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/email-upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "contactProperties": {},
      "email": "<string>",
      "interactionDateTime": 123,
      "properties": {}
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/email-upsert"

payload = { "inputs": [
        {
            "contactProperties": {},
            "email": "<string>",
            "interactionDateTime": 123,
            "properties": {}
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    inputs: [
      {
        contactProperties: {},
        email: '<string>',
        interactionDateTime: 123,
        properties: {}
      }
    ]
  })
};

fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/email-upsert', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

externalEventId
string
必須

外部イベントアプリケーションのマーケティングイベントのID

subscriberState
string
必須

HubSpotコンタクトと指定されたマーケティングイベントの新規登録者状態。例:「register」、「attend」、または「cancel」。

クエリパラメータ

externalAccountId
string
必須

外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId

ボディ

application/json
inputs
object[]
必須

作成または更新するマーケティングイベントの詳細のリスト

レスポンス

default - */*
category
string
必須

エラーカテゴリー

correlationId
string<uuid>
必須

リクエストの固有ID。エラー報告またはサポートチケットには必ずこの値を含めてください

:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
必須

エラーと修正手順(該当する場合)を記した、人が理解できるメッセージ

:

"An error occurred"

context
object

エラー条件に関する背景状況

:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

エラーに関する詳細情報

エラーまたは推奨の修正手順に関するドキュメントが含まれる関連付けられたURIへのリンク名の対応付け

subCategory
string

エラーに関する具体的な詳細が含まれる特定のカテゴリー

最終更新日 2026年4月10日